> ## Documentation Index
> Fetch the complete documentation index at: https://developer.ongoody.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all workspaces



## OpenAPI

````yaml GET /v1/workspaces
openapi: 3.0.1
info:
  title: Goody API
  version: 1.0.0
  contact:
    name: Goody Support
    email: support@ongoody.com
servers:
  - url: https://api.ongoody.com
    description: Production
  - url: https://api.sandbox.ongoody.com
    description: Sandbox
security: []
paths:
  /v1/workspaces:
    get:
      tags:
        - Workspaces
      summary: List all workspaces
      responses:
        '200':
          description: Workspaces retrieved
          content:
            application/json:
              examples:
                Workspaces retrieved:
                  value:
                    data:
                      - id: 541e9673-649e-4977-8e8b-3cee52fd7b68
                        name: Workspace 1
                      - id: ed05606e-d6ba-4b9f-baf3-bde2cbbf0a72
                        name: Workspace 2
                    list_meta:
                      total_count: 2
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Workspace'
                  list_meta:
                    $ref: '#/components/schemas/ListMeta'
      security:
        - bearer: []
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
      required:
        - id
        - name
    ListMeta:
      type: object
      properties:
        total_count:
          type: integer
          description: The total number of items in this list.
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: Your Goody API key.

````